Bug 230711 - sysutils/py-supervisor: Update to 3.3.4
Summary: sysutils/py-supervisor: Update to 3.3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2018-08-17 17:18 UTC by Sergey Akhmatov
Modified: 2018-09-22 08:28 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (hizel)


Attachments
py-supervisor-3.3.4.patch (12.74 KB, patch)
2018-08-17 17:18 UTC, Sergey Akhmatov
no flags Details | Diff
py-supervisor-3.3.4.patch (12.74 KB, patch)
2018-08-17 17:37 UTC, Sergey Akhmatov
no flags Details | Diff
hizel@vyborg.ru (12.74 KB, patch)
2018-08-17 17:45 UTC, Sergey Akhmatov
no flags Details | Diff
py-supervisor-3.3.4.patch (10.18 KB, patch)
2018-08-20 11:12 UTC, Sergey Akhmatov
no flags Details | Diff
py-supervisor-3.3.4.patch (10.31 KB, patch)
2018-08-22 09:25 UTC, Sergey Akhmatov
sergey: maintainer-approval? (hizel)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2018-08-17 17:18:30 UTC
Created attachment 196293 [details]
py-supervisor-3.3.4.patch

Update py-supervisord to version 3.3.4

ChangeLog: http://supervisord.org/_sources/changes.txt

While here, try to improve the port:
1) get rid of @[un]exec in pkg-plist
- @exec mkdir -p %%PIDDIR%% goes to PLIST_DIRS
- @unexec echo goes away, let pkg handle PIDDIR removal
- @sample is the only line left, it goes to PLIST_FILES
- This leaves us with empty pkg-plist, remove it.
2) The port has PORTDOCS which makes DOCS option a MUST, adding it
3) remove patch test_supervisorctl.py. Failing test is already disabled upstream.
4) regenerate patch-supervisor_options.py to make it PORTish
5) patch-supervisor-tests-test_supervisorctl.py - fix failing test, regenerate (makepatch created it under slightly different name, mind it during commit)

TODO: the port still lacks license. supervisor itself uses REPOZE licence, e.g. ports with the same licence are py-repoze.who/Makefile, py-repoze.xmliter/Makefile
but supervisor has a bundle of licenses in it's LICENSES.txt, I just don't know how to put it/them into port properly. I'd appreciate any hints.

QA: poudriere testport: OK with only supported flavor py27
make test: Ran 1127 tests in 2.540s, OK

Due to number of not so trivial changes, I'll create phabricator review shortly.
Comment 1 Sergey Akhmatov 2018-08-17 17:37:49 UTC
Created attachment 196294 [details]
py-supervisor-3.3.4.patch

Messed up with tests in the patch. Update

make test now gives: Ran 1130 tests in 2.466s
Comment 2 Sergey Akhmatov 2018-08-17 17:45:39 UTC
Created attachment 196295 [details]
hizel@vyborg.ru

Patching patches is a pain :(
One one try
Comment 3 Sergey Akhmatov 2018-08-17 17:55:22 UTC
https://reviews.freebsd.org/D16776
Comment 4 Sergey Akhmatov 2018-08-20 11:12:16 UTC
Created attachment 196380 [details]
py-supervisor-3.3.4.patch

Reorder variables as pointed by @mat
https://reviews.freebsd.org/D16776
Comment 5 Sergey Akhmatov 2018-08-22 09:25:43 UTC
Created attachment 196439 [details]
py-supervisor-3.3.4.patch

Update patch: remove redundant python_OLD_CMD as pointed by @mat in latest review.
Hope it's ready enough at last.
Comment 6 commit-hook freebsd_committer 2018-09-22 08:26:58 UTC
A commit references this bug:

Author: wen
Date: Sat Sep 22 08:26:52 UTC 2018
New revision: 480364
URL: https://svnweb.freebsd.org/changeset/ports/480364

Log:
  - Update to 3.3.4

  PR:		230711
  Submitted by:	sergey@akhmatov.ru
  Approved by:	maintainer(timeout, > 30 days)
  Differential Revision:	https://reviews.freebsd.org/D16776

Changes:
  head/sysutils/py-supervisor/Makefile
  head/sysutils/py-supervisor/distinfo
  head/sysutils/py-supervisor/files/patch-supervisor-tests-test_options.py
  head/sysutils/py-supervisor/files/patch-supervisor-tests-test_supervisorctl.py
  head/sysutils/py-supervisor/files/patch-supervisor_options.py
  head/sysutils/py-supervisor/files/patch-supervisor_tests_test__options.py
  head/sysutils/py-supervisor/pkg-plist